
'use strict'
$(document).ready(function () {
    // TODO: Add your JavaScript code here.
    //       If this function is called, the HTML is loaded and complete.
    //       You can now run scripts or manipulate HTML contents.
    $('#focused-file').text('No file received yet');
    console.log('Hello world - this is testing category stuff');
});

IMWS.get('v1/files', {
    // Information about the focused file in the active file window.
    idlist: IMatch.idlist.fileWindowFocusedFile,
    fields: 'id,filename,name,namene,ext'  //specify here what fields you want access to
}).then(function (response) {
    var path = '';
    if (response.files.length > 0) {
        $('#focused-file').text(response.files[0].fileName);

        dealWithFile(response.files[0]);


    }
    else {
        alert('no focused file')
    }
});


$('#focused-file').text('No file received yet');


function dealWithFile(thisfile) {
    var jj = 0;
    

    IMWS.get('v1/files/categories', {
        id: thisfile.id,
        datadriven: true,
        fields: 'id,path'
    }).then(function (response) {
        console.log(JSON.stringify(response, null, 2));
        /* returns:
        {
            "files": [
                {
                "id": 748471,
                "categories": [
                    {
                    "id": 654,
                    "path": "EVENT|Konzert"
                    }
                ]
                }
            ],
            "debug": {
                "runtime": "0ms"
            }
        }*/
        for (jj = 0; jj < response.files[0].categories.length; jj++) {
            console.log('Category is:' + response.files[0].categories[jj].path);
        }
        // now we write a category
        writeCategory(thisfile, 'EVENT|Birthday')
    },
        function (error) {
            console.log('Getting categories error:'+error);

        });

    function writeCategory(thatfile, CatName) {
        console.log('Writing to file: ' + thatfile.name + ' cat:' + CatName);
        IMWS.post('v1/categories/assign', {
            path: CatName,
            fileid: thatfile.id
        }).then(function (response) {
            if (response.result == 'ok') {
                console.log('cat set ok');
            }
            else {
                alert('error setting category: ' + JSON.stringify(response, null, 2));
            }

        },
            function (error) {
                //console.log('Error returned by setting category:'+ JSON.stringify(error,null,2));
                alert('Setting category ' + CatName + ' returned: ' + error.responseText);

            });
    }
}